Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.wsdl
Class WSDLConstants

    java.lang.Object
      org.apache.cxf.wsdl.WSDLConstants

    public final class WSDLConstants

extends java.lang.Object

Nested Class Summary
`static class` | `WSDLConstants.WSDLVersion`

Field Summary
`static java.lang.String` | `A_XSI_NIL`
`static java.lang.String` | `A_XSI_TYPE`
`static java.lang.String` | `ATTR_LOCATION`
`static java.lang.String` | `ATTR_NAME`
`static java.lang.String` | `ATTR_PART_ELEMENT`
`static java.lang.String` | `ATTR_PART_TYPE`
`static java.lang.String` | `ATTR_TNS`
`static java.lang.String` | `ATTR_TRANSPORT`
`static java.lang.String` | `ATTR_TYPE`
`static java.lang.String` | `CONVENTIONAL_TNS_PREFIX`
`static int` | `DOC_BARE`
`static int` | `DOC_WRAPPED`
`static java.lang.String` | `DOCUMENT`
`static int` | `ERORR_STYLE_USE`
`static java.lang.String` | `JMS_PREFIX`
`static java.lang.String` | `LITERAL`
`static javax.xml.namespace.QName` | `NA_XSI_NIL`
`static javax.xml.namespace.QName` | `NA_XSI_TYPE`
`static java.lang.String` | `NODE_LOCATION`
`static java.lang.String` | `NP_SCHEMA_XSD`
`static java.lang.String` | `NP_SCHEMA_XSI`
`static java.lang.String` | `NP_XMLNS`
`static java.util.Map<java.lang.String,java.lang.String>` | `NS_PREFIX_PAIR`
`static javax.xml.namespace.QName` | `NS_SOAP_BINDING`
`static javax.xml.namespace.QName` | `NS_SOAP_BINDING_ADDRESS`
`static javax.xml.namespace.QName` | `NS_SOAP_BODY`
`static javax.xml.namespace.QName` | `NS_SOAP_FAULT`
`static javax.xml.namespace.QName` | `NS_SOAP_OPERATION`
`static java.lang.String` | `NS_SOAP11_HTTP_BINDING`
`static javax.xml.namespace.QName` | `NS_SOAP12_BINDING`
`static javax.xml.namespace.QName` | `NS_SOAP12_BINDING_ADDRESS`
`static javax.xml.namespace.QName` | `NS_XMLHTTP_BINDING_ADDRESS`
`static java.lang.String` | `NU_SCHEMA_XSD`
`static java.lang.String` | `NU_SCHEMA_XSI`
`static java.lang.String` | `NU_XMLNS`
`static javax.xml.namespace.QName` | `QNAME_ADDRESS`
`static javax.xml.namespace.QName` | `QNAME_BINDING`
`static javax.xml.namespace.QName` | `QNAME_DEFINITIONS`
`static javax.xml.namespace.QName` | `QNAME_DOCUMENTATION`
`static javax.xml.namespace.QName` | `QNAME_FAULT`
`static javax.xml.namespace.QName` | `QNAME_IMPORT`
`static javax.xml.namespace.QName` | `QNAME_INPUT`
`static javax.xml.namespace.QName` | `QNAME_MESSAGE`
`static javax.xml.namespace.QName` | `QNAME_OPERATION`
`static javax.xml.namespace.QName` | `QNAME_OUTPUT`
`static javax.xml.namespace.QName` | `QNAME_PART`
`static javax.xml.namespace.QName` | `QNAME_PORT`
`static javax.xml.namespace.QName` | `QNAME_PORT_TYPE`
`static javax.xml.namespace.QName` | `QNAME_SERVICE`
`static javax.xml.namespace.QName` | `QNAME_TYPES`
`static java.lang.String` | `REPLACE_WITH_ACTUAL_URL`
`static java.lang.String` | `RPC`
`static int` | `RPC_WRAPPED`
`static javax.xml.namespace.QName` | `SCHEMA_QNAME`
`static java.lang.String` | `SOAP11_NAMESPACE`
`static java.lang.String` | `SOAP11_PREFIX`
`static java.lang.String` | `SOAP12_HTTP_TRANSPORT`
`static java.lang.String` | `SOAP12_NAMESPACE`
`static java.lang.String` | `SOAP12_PREFIX`
`static java.lang.String` | `TNS_PREFIX`
`static java.lang.String` | `WSDL_PREFIX`
`static java.lang.String` | `WSDL11`
`static java.lang.String` | `WSDL11_NAMESPACE`
`static java.lang.String` | `WSDL20`
`static java.lang.String` | `XML_BINDING_NS`

Method Summary
`static WSDLConstants.WSDLVersion` | `getVersion(java.lang.String version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WSDL_PREFIX

    public static final java.lang.String WSDL_PREFIX

See Also:
  Constant Field Values

### WSDL11_NAMESPACE

    public static final java.lang.String WSDL11_NAMESPACE

See Also:
  Constant Field Values

### NP_XMLNS

    public static final java.lang.String NP_XMLNS

See Also:
  Constant Field Values

### NU_XMLNS

    public static final java.lang.String NU_XMLNS

See Also:
  Constant Field Values

### NP_SCHEMA_XSD

    public static final java.lang.String NP_SCHEMA_XSD

See Also:
  Constant Field Values

### NU_SCHEMA_XSD

    public static final java.lang.String NU_SCHEMA_XSD

See Also:
  Constant Field Values

### SCHEMA_QNAME

    public static final javax.xml.namespace.QName SCHEMA_QNAME

### NP_SCHEMA_XSI

    public static final java.lang.String NP_SCHEMA_XSI

See Also:
  Constant Field Values

### NU_SCHEMA_XSI

    public static final java.lang.String NU_SCHEMA_XSI

See Also:
  Constant Field Values

### A_XSI_TYPE

    public static final java.lang.String A_XSI_TYPE

See Also:
  Constant Field Values

### A_XSI_NIL

    public static final java.lang.String A_XSI_NIL

See Also:
  Constant Field Values

### NA_XSI_TYPE

    public static final javax.xml.namespace.QName NA_XSI_TYPE

### NA_XSI_NIL

    public static final javax.xml.namespace.QName NA_XSI_NIL

### SOAP11_NAMESPACE

    public static final java.lang.String SOAP11_NAMESPACE

See Also:
  Constant Field Values

### SOAP12_NAMESPACE

    public static final java.lang.String SOAP12_NAMESPACE

See Also:
  Constant Field Values

### SOAP11_PREFIX

    public static final java.lang.String SOAP11_PREFIX

See Also:
  Constant Field Values

### SOAP12_PREFIX

    public static final java.lang.String SOAP12_PREFIX

See Also:
  Constant Field Values

### NS_PREFIX_PAIR

    public static final java.util.Map<java.lang.String,java.lang.String> NS_PREFIX_PAIR

### NS_SOAP11_HTTP_BINDING

    public static final java.lang.String NS_SOAP11_HTTP_BINDING

See Also:
  Constant Field Values

### NS_SOAP_BINDING

    public static final javax.xml.namespace.QName NS_SOAP_BINDING

### NS_SOAP_OPERATION

    public static final javax.xml.namespace.QName NS_SOAP_OPERATION

### NS_SOAP_BODY

    public static final javax.xml.namespace.QName NS_SOAP_BODY

### NS_SOAP_FAULT

    public static final javax.xml.namespace.QName NS_SOAP_FAULT

### NS_SOAP_BINDING_ADDRESS

    public static final javax.xml.namespace.QName NS_SOAP_BINDING_ADDRESS

### SOAP12_HTTP_TRANSPORT

    public static final java.lang.String SOAP12_HTTP_TRANSPORT

See Also:
  Constant Field Values

### NS_SOAP12_BINDING

    public static final javax.xml.namespace.QName NS_SOAP12_BINDING

### NS_SOAP12_BINDING_ADDRESS

    public static final javax.xml.namespace.QName NS_SOAP12_BINDING_ADDRESS

### DOCUMENT

    public static final java.lang.String DOCUMENT

See Also:
  Constant Field Values

### RPC

    public static final java.lang.String RPC

See Also:
  Constant Field Values

### LITERAL

    public static final java.lang.String LITERAL

See Also:
  Constant Field Values

### REPLACE_WITH_ACTUAL_URL

    public static final java.lang.String REPLACE_WITH_ACTUAL_URL

See Also:
  Constant Field Values

### JMS_PREFIX

    public static final java.lang.String JMS_PREFIX

See Also:
  Constant Field Values

### TNS_PREFIX

    public static final java.lang.String TNS_PREFIX

See Also:
  Constant Field Values

### QNAME_BINDING

    public static final javax.xml.namespace.QName QNAME_BINDING

### QNAME_DEFINITIONS

    public static final javax.xml.namespace.QName QNAME_DEFINITIONS

### QNAME_DOCUMENTATION

    public static final javax.xml.namespace.QName QNAME_DOCUMENTATION

### QNAME_IMPORT

    public static final javax.xml.namespace.QName QNAME_IMPORT

### QNAME_MESSAGE

    public static final javax.xml.namespace.QName QNAME_MESSAGE

### QNAME_PART

    public static final javax.xml.namespace.QName QNAME_PART

### QNAME_OPERATION

    public static final javax.xml.namespace.QName QNAME_OPERATION

### QNAME_INPUT

    public static final javax.xml.namespace.QName QNAME_INPUT

### QNAME_OUTPUT

    public static final javax.xml.namespace.QName QNAME_OUTPUT

### QNAME_PORT

    public static final javax.xml.namespace.QName QNAME_PORT

### QNAME_ADDRESS

    public static final javax.xml.namespace.QName QNAME_ADDRESS

### QNAME_PORT_TYPE

    public static final javax.xml.namespace.QName QNAME_PORT_TYPE

### QNAME_FAULT

    public static final javax.xml.namespace.QName QNAME_FAULT

### QNAME_SERVICE

    public static final javax.xml.namespace.QName QNAME_SERVICE

### QNAME_TYPES

    public static final javax.xml.namespace.QName QNAME_TYPES

### ATTR_PART_ELEMENT

    public static final java.lang.String ATTR_PART_ELEMENT

See Also:
  Constant Field Values

### ATTR_PART_TYPE

    public static final java.lang.String ATTR_PART_TYPE

See Also:
  Constant Field Values

### ATTR_TYPE

    public static final java.lang.String ATTR_TYPE

See Also:
  Constant Field Values

### NODE_LOCATION

    public static final java.lang.String NODE_LOCATION

See Also:
  Constant Field Values

### DOC_WRAPPED

    public static final int DOC_WRAPPED

See Also:
  Constant Field Values

### DOC_BARE

    public static final int DOC_BARE

See Also:
  Constant Field Values

### RPC_WRAPPED

    public static final int RPC_WRAPPED

See Also:
  Constant Field Values

### ERORR_STYLE_USE

    public static final int ERORR_STYLE_USE

See Also:
  Constant Field Values

### XML_BINDING_NS

    public static final java.lang.String XML_BINDING_NS

See Also:
  Constant Field Values

### NS_XMLHTTP_BINDING_ADDRESS

    public static final javax.xml.namespace.QName NS_XMLHTTP_BINDING_ADDRESS

### ATTR_TRANSPORT

    public static final java.lang.String ATTR_TRANSPORT

See Also:
  Constant Field Values

### ATTR_LOCATION

    public static final java.lang.String ATTR_LOCATION

See Also:
  Constant Field Values

### ATTR_NAME

    public static final java.lang.String ATTR_NAME

See Also:
  Constant Field Values

### ATTR_TNS

    public static final java.lang.String ATTR_TNS

See Also:
  Constant Field Values

### CONVENTIONAL_TNS_PREFIX

    public static final java.lang.String CONVENTIONAL_TNS_PREFIX

See Also:
  Constant Field Values

### WSDL11

    public static final java.lang.String WSDL11

See Also:
  Constant Field Values

### WSDL20

    public static final java.lang.String WSDL20

See Also:
  Constant Field Values

Method Detail

### getVersion

    public static WSDLConstants.WSDLVersion getVersion(java.lang.String version)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF is an effort undergoing incubation at the Apache Software Foundation(ASF) and sponsored by the Apache Incubator PMC.